diff --git a/README.md b/README.md
index 13f18d3..010eb94 100644
--- a/README.md
+++ b/README.md
@@ -107,6 +107,7 @@ The `mqtt` section below includes the following entries:
     "server": {
       "host": "192.168.1.1",
       "port": 1883,
+      "ssl": false,
       "username": null,
       "password": null,
       "client_id": null
diff --git a/main/ble2mqtt.c b/main/ble2mqtt.c
index c0b1438..dffece7 100644
--- a/main/ble2mqtt.c
+++ b/main/ble2mqtt.c
@@ -163,7 +163,7 @@ static void wifi_on_connected(void)
     ESP_LOGI(TAG, "Connected to WiFi, connecting to MQTT");
     mqtt_connect(config_mqtt_host_get(), config_mqtt_port_get(),
         config_mqtt_client_id_get(), config_mqtt_username_get(),
-        config_mqtt_password_get());
+        config_mqtt_password_get(), config_mqtt_ssl_get());
 }
 
 static void wifi_on_disconnected(void)
diff --git a/main/config.c b/main/config.c
index 788dc66..03ff372 100644
--- a/main/config.c
+++ b/main/config.c
@@ -190,7 +190,16 @@ uint16_t config_mqtt_port_get(void)
     if (cJSON_IsNumber(port))
         return port->valuedouble;
 
-    return 1883;
+    return 0;
+}
+
+uint8_t config_mqtt_ssl_get(void)
+{
+    cJSON *mqtt = cJSON_GetObjectItemCaseSensitive(config, "mqtt");
+    cJSON *server = cJSON_GetObjectItemCaseSensitive(mqtt, "server");
+    cJSON *ssl = cJSON_GetObjectItemCaseSensitive(server, "ssl");
+
+    return cJSON_IsTrue(ssl);
 }
 
 const char *config_mqtt_client_id_get(void)
diff --git a/main/config.h b/main/config.h
index e1902d6..dd4acfe 100644
--- a/main/config.h
+++ b/main/config.h
@@ -19,6 +19,7 @@ uint32_t config_ble_passkey_get(const char *mac);
 /* MQTT Configuration*/
 const char *config_mqtt_host_get(void);
 uint16_t config_mqtt_port_get(void);
+uint8_t config_mqtt_ssl_get(void);
 const char *config_mqtt_client_id_get(void);
 const char *config_mqtt_username_get(void);
 const char *config_mqtt_password_get(void);
diff --git a/main/mqtt.c b/main/mqtt.c
index 95a6b5f..8fcf2da 100644
--- a/main/mqtt.c
+++ b/main/mqtt.c
@@ -251,7 +251,7 @@ static esp_err_t mqtt_event_cb(esp_mqtt_event_handle_t event)
 }
 
 int mqtt_connect(const char *host, uint16_t port, const char *client_id,
-    const char *username, const char *password)
+    const char *username, const char *password, uint8_t ssl)
 {
     esp_mqtt_client_config_t config = {
         .event_handle = mqtt_event_cb,
@@ -260,6 +260,7 @@ int mqtt_connect(const char *host, uint16_t port, const char *client_id,
         .client_id = client_id,
         .username = username,
         .password = password,
+        .transport = ssl ? MQTT_TRANSPORT_OVER_SSL : MQTT_TRANSPORT_OVER_TCP,
     };
 
     ESP_LOGI(TAG, "Connecting MQTT client");
diff --git a/main/mqtt.h b/main/mqtt.h
index 4c645ed..10be8a3 100644
--- a/main/mqtt.h
+++ b/main/mqtt.h
@@ -23,7 +23,7 @@ int mqtt_publish(const char *topic, uint8_t *payload, size_t len, int qos,
     uint8_t retained);
 
 int mqtt_connect(const char *host, uint16_t port, const char *client_id,
-    const char *username, const char *password);
+    const char *username, const char *password, uint8_t ssl);
 int mqtt_disconnect(void);
 
 uint8_t mqtt_is_connected(void);
